<?php
/**
 * Sewa Header Info Section
 *
 */
$wp_customize->add_section(
    'sewa_top_header_info_section',
    array(
        'priority'   => 1,
        'capability' => 'edit_theme_options',
        'panel'      => 'sewa_theme_options',
        'title'      => esc_html__('Top Header Info', 'sewa'),
    )
);

$wp_customize->add_setting(
    'sewa_top_header_section',
    array(
        'default'           => $default['sewa_top_header_section'],
        'sanitize_callback' => 'sewa_sanitize_select',
    )
);

$hide_show_top_header_option = sewa_slider_option();
$wp_customize->add_control(
    'sewa_top_header_section',
    array(
        'type'               => 'radio',
        'label'              => esc_html__('Top Header Info Option', 'sewa'),
        'description'        => esc_html__('Show/hide Option for Top Header Info Section.', 'sewa'),
        'section'            => 'sewa_top_header_info_section',
        'choices'            => $hide_show_top_header_option,
        'priority'           => 5
    )
);

/**
 * Field for Font Awesome Icon
 *
 */
$wp_customize->add_setting(
    'sewa_top_header_section_phone_number_icon',
    array(
        'default'           => $default['sewa_top_header_section_phone_number_icon'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'sewa_top_header_section_phone_number_icon',
    array(
        'type'               => 'text',
        'description'        => esc_html__('Insert Font Awesome Class Name', 'sewa'),
        'section'            => 'sewa_top_header_info_section',
        'priority'           => 6
    )
);

/**
 * Field for Top Header Phone Number
 *
 */
$wp_customize->add_setting(
    'sewa_top_header_phone_no',
    array(
        'default'           => $default['sewa_top_header_phone_no'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sewa_top_header_phone_no',
    array(
        'type'       => 'text',
        'label'      => esc_html__('Phone Number', 'sewa'),
        'section'    => 'sewa_top_header_info_section',
        'priority'   => 8
    )
);

/**
 * Field for Fonsome Icon
 *
 */
$wp_customize->add_setting(
    'sewa_email_icon',
    array(
        'default'           => $default['sewa_email_icon'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'sewa_email_icon',
    array(
        'type'        => 'text',
        'description' => esc_html__('Insert Font Awesome Class Name', 'sewa'),
        'section'     => 'sewa_top_header_info_section',
        'priority'    => 8
    )
);

/**
 * Field for Top Header Email Address
 *
 */
$wp_customize->add_setting(
    'sewa_top_header_email',
    array(
        'default'           => $default['sewa_top_header_email'],
        'sanitize_callback' => 'sanitize_email',
    )
);
$wp_customize->add_control(
    'sewa_top_header_email',
    array(
        'type'      => 'email',
        'label'     => esc_html__('Email Address', 'sewa'),
        'section'   => 'sewa_top_header_info_section',
        'priority'  => 8
    )
);
/**
 *   Show/Hide Top Menu
 */
$wp_customize->add_setting(
    'sewa_social_link_hide_option',
    array(
        'default'           => $default['sewa_social_link_hide_option'],
        'sanitize_callback' => 'sewa_sanitize_checkbox',
    )
);
$wp_customize->add_control('sewa_social_link_hide_option',
    array(
        'label'     => esc_html__('Hide/Show Social Icons', 'sewa'),
        'section'   => 'sewa_top_header_info_section',
        'type'      => 'checkbox',
        'priority'  => 10
    )
);
/**
 *   Show/Hide Search Icon
 */
$wp_customize->add_setting(
    'sewa_header_search_icon',
    array(
        'default'           => $default['sewa_header_search_icon'],
        'sanitize_callback' => 'sewa_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'sewa_header_search_icon',
    array(
        'type'               => 'checkbox',
        'label'              => esc_html__('Search Icon in Header', 'sewa'),
        'description'        => esc_html__('Show/hide Search Icon.', 'sewa'),
        'section'            => 'sewa_top_header_info_section',
        'priority'           => 30
    )
);